<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of sisotool module
 * Copyright (C) 2016 - INRIA - Serge Steer
 *
 * This file is hereby licensed under the terms of the GNU GPL v2.0,
 * pursuant to article 5.3.4 of the CeCILL v.2.1.
 * For more information, see the COPYING file which you should have received
 * along with this program.
-->
<refentry xml:id="sisotoolCloseSession" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:scilab="http://www.scilab.org"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">
  <refnamediv>
    <refname>sisotoolCloseSession</refname>

    <refpurpose>realizes the closure of a sisotool session in response to the
    File/close menu.</refpurpose>
  </refnamediv>

  <refsection>
    <title>Synopsis</title>

    <synopsis>sisotoolCloseSession(mainWin) </synopsis>
  </refsection>

  <refsection>
    <title>Arguments</title>

    <variablelist>
      <varlistentry>
        <term>mainWin</term>

        <listitem>
          <para>The figure id of the Editors window.</para>
        </listitem>
      </varlistentry>

      <varlistentry>
        <term>gcbo</term>

        <listitem>
          <para>The handle of the calling uicontrol defined in the calling
          scope (see <link linkend="scilab.help/gcbo">gcbo</link> ).</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>

  <refsection>
    <title>Description</title>

    <para>Realizes the closure of a sisotool session in response to the
    File/close menu. If a modification has been
    made after the session has been saved or loaded, the user is asked if he
    wants to save his modifications.</para>
  </refsection>
</refentry>
